# Unix COFF

IDA is the most powerful disassembler for 68K UNIX COFF Files. The Motorola 68K family of processors is huge and very widely used. A few sample parts: MC68000, MC68010, MC68020, MC68030, MC68040, MC68330, MC68882, MC68851, MC68020EX, MC68302 Integrated Communication Processor, MC68306 68K/ColdFire, MC68331 68K/ColdFire, MC68332 68K/ColdFire, MC68336 68K/ColdFire, MC68340 68K/ColdFire, MC68360 Integrated Communication Processor, MC68F375 68K/ColdFire, MC68376 68K/ColdFire, etc.

Assembler code

```armasm
.text:000001AC
.text:000001AC ; =============== S U B R O U T I N E =======================================
.text:000001AC
.text:000001AC ; Attributes: bp-based frame
.text:000001AC
.text:000001AC                 global new_main
.text:000001AC new_main:                               ; CODE XREF: main+16↑p
.text:000001AC
.text:000001AC var_C           = -$C
.text:000001AC
.text:000001AC                 link    a6,#-$10
.text:000001B2                 movem.l 0,$10+var_C(sp)
.text:000001B8                 fmovem  0,$10+var_C.l(sp)
.text:000001C2
.text:000001C2 qwerty:                                 ; CODE XREF: new_main+96↓j
.text:000001C2                 pea     var_C+4(a6)
.text:000001C6                 pea     var_C+8(a6)
.text:000001CA                 move.l  #aLdLd,-(sp)    ; "%ld %ld"
.text:000001D0                 jsr     (scanf).l
.text:000001D6                 adda.w  #$C,sp
.text:000001DA                 tst.l   var_C+8(a6)
.text:000001DE                 bne.w   loc_200
.text:000001E2                 tst.l   var_C+4(a6)
.text:000001E6                 bne.w   loc_200
.text:000001EA                 move.l  (fignqm).l,d0
.text:000001F0                 add.l   (fignqn).l,d0
.text:000001F6                 add.l   (fignqr).l,d0
.text:000001FC                 bra.w   loc_246
.text:00000200 ; ---------------------------------------------------------------------------
.text:00000200
.text:00000200 loc_200:                                ; CODE XREF: new_main+32↑j
.text:00000200                                         ; new_main+3A↑j
.text:00000200                 move.l  var_C+4(a6),(sp)
.text:00000204                 move.l  var_C+8(a6),-(sp)
.text:00000208                 jsr     (b1).l
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/ida-9.2/user-guide/disassembler/disassembly-gallery/unix-coff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
